Description

Description of problem:

Now that Satellite is in SCA mode by default. We should also update the endpoint "GET

/katello/api/activation_keys/:id/product_content" so users do not have to pass in the content_access_mode_all param as TRUE. If

users do not use this param, an empty list is returned

Version-Release number of selected component (if applicable): 6.16.0

How reproducible:100%

Steps to Reproduce:

1. Create Organization

2. Sync RedHat Repository

3. Enable RedHat Repository on Activation key

4. Hit GET /katello/api/activation_keys/:id/product_content endpoint or run

hammer activation-key product-content --id --organization-id

with and without the --content-access-mode-all param

Actual results:

Without adding the --content-access-mode-all param, an empty list is returned

With adding the --content-access-mode-all param, the added repository is shown

Expected results:

We should see the enabled repositories on the activation key without needed to pass this param in since sca is now the default

Associated revisions

Revision 0540e33d - 05/03/2024 02:55 PM - Chris Roberts

Fixes #37350 - Set content_access_mode_all to true and deprecate param

History

#1 - 04/12/2024 03:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10961 added

#2 - 04/17/2024 05:35 PM - Chris Roberts

- Triaged changed from No to Yes
#3 - 05/03/2024 02:55 PM - The Foreman Bot

- Fixed in Releases Katello 4.13.0 added

#4 - 05/03/2024 03:00 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset katello|0540e33d0d992c4becc46ecd4d5efe506c3c7477.
